Bug 1760836 - deploy image ignores target port drop down selection and always uses first entry
Summary: deploy image ignores target port drop down selection and always uses first entry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.0
Assignee: cvogt
QA Contact: Ruchir Garg
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-11 12:55 UTC by spathak@redhat.com
Modified: 2020-01-23 11:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: While populating the route object for creation with necessary data, instead of setting the selected port from the target-port drop-down as the route target-port, first port from the list of available ports was being set. Consequence: User was not able to select the desired target port. Fix: Check if there is a port selected from target-port drop-down and set it as the route target-port otherwise set the first port as the route target-port. Result: Now user can select the desired target-port from the list of available ports.
Clone Of:
Environment:
Last Closed: 2020-01-23 11:07:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:07:34 UTC

Description spathak@redhat.com 2019-10-11 12:55:40 UTC
Description of problem:

The `import-submit-utils` and `deployImage-submit-utils` have diverged in logic. The `deployImage-submit-utils` ignores the targetPort selected by the user and always uses the first entry in the ports list.

Ideally, these two files should be refactored to use shared code so that changes in one flow don't go missed in the other.

Comment 2 cvogt 2019-11-23 01:26:18 UTC
Marking as verified by gamore@redhat.com
https://jira.coreos.com/browse/ODC-1911

Comment 4 errata-xmlrpc 2020-01-23 11:07:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.